calc_st_struc_shocks_ms <- function(impact_mat, red_shock, prob, Lambda, K, spec){
  st_struc_shock <- matrix(NA, dim(red_shock)[1],dim(red_shock)[2])
  if (spec$states == 2){
    for (i in 1:(dim(red_shock)[1])){
      st_struc_shock[i,] <-  (prob[1+i])*solve(impact_mat)%*%red_shock[i,] + (1-prob[1+i])*solve(impact_mat%*%sqrt(Lambda[(K+1):(2*K),]))%*%red_shock[i,]
    }     
  } else if (spec$states == 3){
    
    for (i in 1:(dim(red_shock)[1])){
      st_struc_shock[i,] <-  (prob[1+i,1])*solve(impact_mat)%*%red_shock[i,] + (prob[1+i,2])*solve(impact_mat%*%sqrt(Lambda[(K+1):(2*K),]))%*%red_shock[i,] + (prob[1+i,3])*solve(impact_mat%*%sqrt(Lambda[(2*K+1):(3*K),]))%*%red_shock[i,]
    }
  } else if (spec$states == 4){
    
    for (i in 1:(dim(red_shock)[1])){
      st_struc_shock[i,] <-  (prob[1+i,1])*solve(impact_mat)%*%red_shock[i,] + (prob[1+i,2])*solve(impact_mat%*%sqrt(Lambda[(K+1):(2*K),]))%*%red_shock[i,] + (prob[1+i,3])*solve(impact_mat%*%sqrt(Lambda[(2*K+1):(3*K),]))%*%red_shock[i,] + (prob[1+i,4])*solve(impact_mat%*%sqrt(Lambda[(3*K+1):(4*K),]))%*%red_shock[i,]
    }
  }
  return(st_struc_shock)
} # end of function
