lr_eval <- function(results_complete, K, spec){
  if (aug_var){
    K <- K-1
  }
  ###############################
  # Zero on Columns of B-matrix #
  ###############################
  
  zero_col_test <- matrix(0, sims, 3)
  colnames(zero_col_test) <- c("sig_1", "sig_5", "sig_10")
  
  for (i in 1:sims){
    if ( lr_test(results_complete[[1]][[i]]$ll_ms, results_complete[[2]][[i]]$ll_ms, df=K)$p_LR <= 0.01 ){
      zero_col_test[i,1] <- 1 
    }
    if ( lr_test(results_complete[[1]][[i]]$ll_ms, results_complete[[2]][[i]]$ll_ms, df=K)$p_LR <= 0.05 ){
      zero_col_test[i,2] <- 1 
    }
    if ( lr_test(results_complete[[1]][[i]]$ll_ms, results_complete[[2]][[i]]$ll_ms, df=K)$p_LR <= 0.1 ){
      zero_col_test[i,3] <- 1 
    }
    
  }
  rel_zero_col_test <- colSums(zero_col_test)/sims
  endo_test <- matrix(0, sims, 3)
  colnames(endo_test) <- c("sig_1", "sig_5", "sig_10")
  
  for (i in 1:sims){
    if ( lr_test(results_complete[[1]][[i]]$ll_ms, results_complete[[2]][[i]]$ll_ms, df=K)$p_LR <= 0.01 ){
      zero_col_test[i,1] <- 1 
    }
    if ( lr_test(results_complete[[1]][[i]]$ll_ms, results_complete[[2]][[i]]$ll_ms, df=K)$p_LR <= 0.05 ){
      zero_col_test[i,2] <- 1 
    }
    if ( lr_test(results_complete[[1]][[i]]$ll_ms, results_complete[[2]][[i]]$ll_ms, df=K)$p_LR <= 0.1 ){
      zero_col_test[i,3] <- 1 
    }
    
  }
  rel_endo_test <- colSums(zero_col_test)/sims
}