spec$restric <-  "ph-var"
turn_vec <- 4 # change sign of impulse response and shock series of respective shock
ph_var <- turn_imp_rep(ph_var, turn_vec, spec)
rm(turn_vec)
 new_order_shocks <- c(4,1,3,2,5) # change order of shocks
 new_order_vars <- c(2,1,3,4,5) # change order of vars
if (!exists("new_order")){new_order <- c(1:K)}
ph_var <- new_ordering(ph_var, new_order_shocks,new_order_vars)

results_list <- ph_var
model_name <- "ph_var"
ph_var <- results_list
  
new_order_fac <- new_order_shocks[1:(K-1)] # This is needed for the destandardization of the impulse responses
new_order_shocks <- c(1:K)
if (exists("turn_vec")){
  results_list <- turn_imp_rep(results_list, turn_vec, spec)
}  
save_path_model <- "."

########################## Figure 2: PLOT (K-1)x(K-1) IMPULSE RESPONSE OF ALL SHOCKS FOR ONE MODEL (I.E. REMOVE THE INSTRUMENT) ###############

S <- (K*K)-((K-1)*(K-1))

results_list_cut <- results_list
results_list_cut$imp_rep <- array(NA, dim = c(dim(results_list$imp_rep)[1]-S, dim(results_list$imp_rep)[2:3]))
results_list_cut$variance_decomp <- array(NA, dim = c(dim(results_list$imp_rep)[1]-S, dim(results_list$imp_rep)[2:3]))

results_list_cut$imp_rep_cum <- array(NA, dim = c(dim(results_list$imp_rep_cum)[1]-S, dim(results_list$imp_rep_cum)[2:3]))
results_list_cut$upper_int5 <- array(NA, dim = c(dim(results_list$upper_int5)[1]-S, dim(results_list_cut$upper_int5)[2:3]))
results_list_cut$lower_int5 <- array(NA, dim = c(dim(results_list$upper_int5)[1]-S, dim(results_list_cut$upper_int5)[2:3]))

results_list_cut$variance_decomp <- results_list$variance_decomp[,-K,-K,]
results_list_cut$imp_rep <- results_list$imp_rep[-c(K,2*K,3*K,4*K,4*K + (1:K)),,]
results_list_cut$imp_rep_cum <- results_list$imp_rep_cum[-c(K,2*K,3*K,4*K,4*K + (1:K)),,]
results_list_cut$upper_int5 <- results_list$upper_int5[-c(K,2*K,3*K,4*K,4*K + (1:K)),,]
results_list_cut$lower_int5 <- results_list$lower_int5[-c(K,2*K,3*K,4*K,4*K + (1:K)),,]

results_list_cut$upper_int5_cum <- results_list$upper_int5_cum[-c(K,2*K,3*K,4*K,4*K + (1:K)),,]
results_list_cut$lower_int5_cum <- results_list$lower_int5_cum[-c(K,2*K,3*K,4*K,4*K + (1:K)),,]


################ NAMES OF SHOCKS AND ORDER THE IMPULSE RESPONSES ###################

shock_names <- c("Monetary Policy Shock","Demand Shock","Supply Shock", "Cost-Push Shock")
names <- c("Fed Funds (pp)","Industrial Prod. (%)",  "Consumer Prices (%)", "Commodity Prices (%)") 
names2 <- c("Fed Funds","Industrial Prod.",  "Inflation", "Commod. Prices") 

K <- 4

plot_impulse_fig2(title="figure2",results_array=results_list_cut,int= 95, standardize=TRUE, normalize_impact = c(1,NA,NA,NA), stand_fac = stand_fac[new_order_vars[1:K]], shaded = TRUE, axis_fix=FALSE,horizon=spec$horizon+1, trans_code =code[1:K], eps=TRUE, data_names=names, shock_names=shock_names , path=save_path_model, order=new_order_fac)


