transform_data <-  function(data, code){
  data_trans <-  as.matrix(data)
  for (i in 1:dim(data)[2]){
    if (code[i] == 0){
      data_trans[,i] <- data[,i]
    } else if (code[i] == 1){
      data_trans[,i] <- log(data[,i])
    } else if (code[i] == 2){
      data_trans[,i] <- c(NA, diff(log(data[,i]),1)*100)
    } else if (code[i] == 3){
      data_trans[,i] <- c(NA, diff(data[,i],1))
    }
  }
  data_trans <- data_trans[complete.cases(data_trans),]
  return(data_trans)
}