transform_vech <- function(input_vector,K){
  input_vector <- as.vector(input_vector)
  dim <- sqrt(length( input_vector) *2 -K)
  transformed_mat <- matrix(NA, dim, dim)
  count <- as.vector(seq(dim,1))
  length_end <- vector(mode="numeric", length=dim) 
  for (i in 1:dim){
    if (i==1){
      length_start <- 1 
    }else{
      length_start <- length_end[i-1]+1 }
    length_end[i] <- sum(count[1:i])
    transformed_mat[,i] <-  c(rep(0,i-1), input_vector[length_start:length_end[i]] )
  }
  
  return(transformed_mat)
} #end of function