var_companion <- function(Theta, K, spec){
  
  # Write in VAR(1) representation (Companion form)
  if (spec$lag == 1){
    A_var <- Theta[,(dim(spec$deter)[2]+1):dim(Theta)[2]]
  } else if (spec$lag > 1){
    diag_help <- cbind(diag(K*spec$lag-K), matrix(0,K*spec$lag-K,K))
    A_var <- rbind(Theta[,(dim(spec$deter)[2]+1):dim(Theta)[2]], diag_help)
  } 
  # # caluclate the mean
  # mean <- (solve(char_poly)%*%nu)[1:K]
  return(out <- list(A_var = A_var))
} 