eq_restr_B_condml <- function(unknown, Lambda_pos, spec, Samp, K){
  unknown_vec <- vector(mode="numeric", length=K^2)
  for (i in 1:(K^2)){
    unknown_vec[i] <- unknown[i]  
  } 
  
  BL <- cbind(matrix(unknown_vec, K, K), Lambda_pos)
  ###############
  
  if (spec$restric =="h-var" || spec$restric =="h-var-res"){
    eq_instr_beta <- t(rbind(BL[K,1:(K-1)]))
    if (spec$restric =="h-var-res"){
      eq_instr_B <- t(rbind(BL[1:(K-1),K]))
      eq_instr_B <- c(rbind(eq_instr_B,   eq_instr_beta))
    }  else if (spec$restric == "h-var"){
      eq_instr_B <- eq_instr_beta 
    }
  }
  
  if (spec$restric == "ph-var" || spec$restric == "invarB-res"){ # restrictions on last column of B
    eq_instr_B <- t(rbind(BL[1:(K-1),K]))
    if (spec$restric == "ph-var"){ # additional beta restrictions of ph-var
      eq_instr_beta <- t(rbind(BL[K,c(which(abs(BL[K,])<10^-10))]))
      eq_instr_B <- c(rbind(eq_instr_B,   eq_instr_beta))
    } 
  }
  
  return(eq_instr_B)
} # end of function