ubound <- function(K,spec, unres = FALSE){
  # function returns the matrix of lower bounds for the estimates ob B and Lambda
  if (!unres){
    ub <- matrix(NA, K,K)
    for (a in 1:K){
      for (b in 1:K){
        ub[a,b] <- -100
      } # end of loop through b (variables)
    } # end of loop through a (variables)
    
    for (a in 1:(spec$states-1)){
      ub_add <-  10*matrix(1, K,1)
      ub  <- cbind(ub,ub_add)
    } # end of loop through a
    return(ub)
  } else if (unres){
    ub <- rep(10, (K*(K+1)/2)*spec$states)
    Sigma_ub <- c()
    breaks <- c(seq(1,((K*(K+1)/2)*spec$states), (K*(K+1)/2)),(K*(K+1)/2)*spec$states+1)
    for (j in 1:(length(breaks)-1)){
      Sigma_ub_help <- symMatrix(ub[breaks[j]:(breaks[(j+1)]-1)])
      diag(Sigma_ub_help) <- 10
      Sigma_ub_help <- vech(Sigma_ub_help)
      Sigma_ub <- c(Sigma_ub, Sigma_ub_help)
    }
    
    ub <- Sigma_ub
    # end of loop through a
    return(ub)
  }
} # end of function ubound

