calc_hist_decomp_proxy <- function(Phi, struc_error, K,horizon){
  contrib_vars <- array(NA, dim=c(dim(struc_error)[1],K,K))
  contrib_total <- array(NA, dim=c(dim(struc_error)[1],K))
  for (i in 1:K){
    for (h in 1:dim(struc_error)[1]){
      if (h==1){
        contrib_vars[h,,i] <-  Phi[i,,h]*struc_error[h,]
        contrib_total[h,i] <-  sum(  contrib_vars[h,,i])
      } else if (h != 1){
        contrib_vars[h,,i] <-   rowSums(Phi[i,,(1:h)]* t(apply(t(struc_error[(1:h),]), 1, rev)))
        contrib_total[h,i] <-  sum(contrib_vars[h,,i])
      }  
    }
  }
  
  out <- list(hist_decomp = contrib_total, hist_decomp_contrib = contrib_vars)
  return(out)  
} # function end
