draw_Mchain_2 <- function(P, Samp){
  
  # using the initial state use the transition probabilities to simulate states (with help of draws from uniform distribution)
  current_state <- vector(mode="numeric", length=Samp+1)
  draw_ini <-  runif(1, 0, 1)
  if (draw_ini < 0.5){
    current_state[1] <- 1
  } else if (draw_ini >= 0.5){
    current_state[1]<- 2
  }
  
  check <-  matrix(NA, Samp, 1)
  # loop over the sample size: each period's t depends on state in t-1 and transition probability 
  count <- c(0,Samp)
  while (any(count<5)){
    for (i in 2:(Samp+1)){
      draw <- runif(1, 0, 1)
      #  states depend on previous states only
      if (draw <= P[current_state[i-1], current_state[i-1]]){
        current_state[i] = current_state[i-1]
      } else if (draw > P[current_state[i-1], current_state[i-1]]) {
        
        if (current_state[i-1] == 1){
          current_state[i] = 2
        } else if (current_state[i-1] == 2){
          current_state[i] = 1
        }
      } # end of else
      # this is just to check the probabilities of uniform distribution
      check[i] <- draw
    }
    for (j in 1:states){
      count[j] <- sum(current_state==j)
    }
  }
  
  current_state <- current_state[-1]
  return(current_state)
}