convertPeriod <- function( period ){
  
  if( is.character( period ) ){ 
    
    if ( length( period ) == 1){
      return( c( as.numeric( substr( period [[ 1 ]], 1, 4 ) ), as.numeric( substr( period [[ 1 ]], 6, 7))) )
    }else{
      result <- c()
      for(idx in 1:length( period ) ){
        result <- cbind( result, convertPeriod( period [[ idx ]] ) )  
      }
      return( result )
      
    }
  } else{
    
    if( is.null(dim(period)) ){
      if( period [[ 2 ]] < 10 ){ sMonth <- paste0( "0", toString( period [[ 2 ]] ) ) }else{ sMonth <- toString( period [[ 2 ]] ) }
      return( paste0( toString( period [[ 1 ]] ), "-", sMonth) )
    }else{
      result <- NULL
      for( idx in 1 : dim( period ) [[ 2 ]]  ){
        result <- c( result, convertPeriod( period[, idx] ) )
      }
      return( result )
    }
  }
}
