residuals <- function(y, Theta, Z, Samp, K, lag_length){
  u_est <- matrix(NA,Samp-lag_length,K )
  for (i in 1:(Samp-lag_length)){ 
    u_est[i,] <- t(y[i,]) - Theta%*%Z[i,]
  }
  
  return(u_est)
} # end of function