eq_restr_B <- function(unknown, spec, Samp, K){
  unknown_vec <- vector(mode="numeric", length=K^2+K)
  for (i in 1:(K^2+(spec$states-1)*K)){
    unknown_vec[i] <- unknown[i]
  }
  
  BL <- matrix(unknown_vec, K, K+(spec$states-1))
  
  ###############
  
  if (spec$restric =="h-var" || spec$restric =="h-var-res"){
    # restriction on last row of B
    eq_instr_beta <- rbind(BL[(K-(spec$ins_dim-1)):K,1:(K-spec$ins_dim)])
    if (spec$restric =="h-var-res"){
      # restriction on last column of B
      eq_instr_B <- t(rbind(BL[1:(K-spec$ins_dim), (K-(spec$ins_dim-1)):K]))
      eq_instr_B <- c(eq_instr_B,   eq_instr_beta)
    }  else if (spec$restric == "h-var"){
      eq_instr_B <- eq_instr_beta 
    }
  }
  
  if (spec$restric == "ph-var" || spec$restric == "invarB-res"){ # restrictions on last column of B
    # restriction on last column of B
    eq_instr_B <- t(BL[1:(K-spec$ins_dim),(K-(spec$ins_dim-1)):K])
    if (spec$restric == "ph-var"){ # additional beta restrictions of ph-var
      eq_instr_beta <- t(rbind(BL[(K-(spec$ins_dim-1)):K,(1+spec$lenb):(K-spec$ins_dim)]))
      eq_instr_B <- c(eq_instr_B,   eq_instr_beta)
    } 
  }
  return(eq_instr_B)
} # end of function
