lbound <- function(K,spec, unres = FALSE){
  # function returns the matrix of lower bounds for the estimates ob B and Lambda
  if (!unres){
    lb <- matrix(NA, K,K)
    for (a in 1:K){
      for (b in 1:K){
        lb[a,b] <- -100
      } # end of loop through b (variables)
    } # end of loop through a (variables)
    
    for (a in 1:(spec$states-1)){
      lb_add <-  0.01*matrix(1, K,1)
      lb  <- cbind(lb,lb_add)
    } # end of loop through a
    return(lb)
  } else if (unres){
    lb <- rep(-10, (K*(K+1)/2)*spec$states)
    Sigma_lb <- c()
    breaks <- c(seq(1,((K*(K+1)/2)*spec$states), (K*(K+1)/2)),(K*(K+1)/2)*spec$states+1)
    for (j in 1:(length(breaks)-1)){
      Sigma_lb_help <- symMatrix(lb[breaks[j]:(breaks[(j+1)]-1)])
      diag(Sigma_lb_help) <- 10^-5
      Sigma_lb_help <- vech(Sigma_lb_help)
      Sigma_lb <- c(Sigma_lb, Sigma_lb_help)
    }
    
    lb <- Sigma_lb
    # end of loop through a
    return(lb)
  }
} # end of function lbound

