ms_var_boot <- function(spec, y, Z, LM, Samp, K, y_start, log_path, code, res_proxy = c(), date_list, verbose) {
  
  Tolvalue <-  10^-7
  y_reg <- c(t(y)) # transpose and vectorize data 
  
  A1 <- kronecker(t(Z)%*%Z,diag(K))
  A2 <- kronecker(t(Z), diag(K))%*%y_reg
  
  # matrix of random numbers
  RandNumbers <- matrix(NA,K,K)
  RandNumbers <- 1/1000*matrix(rnorm(length(matrix(0,K,K)),0,1), K,K)
  
  est_ms <- estimate_ms(A1,A2,Samp,K,y, Z,spec, Tolvalue, RandNumbers, LM, code, log_path, 1, res_proxy, verbose)
  
  return(est_ms)
} # end of function

