u_stand_ms <- function(Samp,K,y,Z, spec, estimation){
  
  Theta <- estimation$Theta
  u_est <- residuals3(y,Theta, Z)
  Sigma_t <- matrix(NA, (Samp-spec$lag), K)
  Sigma_t_comp <-  matrix(NA, (Samp-spec$lag)*K, K)
  u_st <- matrix(NA, (Samp-spec$lag), K)
  for (t in 1:(Samp-spec$lag)){
    S <- matrix(0,K,K) 
    for (m in 1:spec$states){
      S <-  S + estimation$KsiT[t+1,m]*get_sigma(estimation$Sigma,K,m)
    } # end loop through m
    Sigma_t_comp[((t-1)*K+1):(t*K),] <- S
    Sigma_t[t,] <- diag(S)
    
    u_st[t,] <- t(solve(sqrtm(S)$B)%*%u_est[t,])
  } # end of loop through t 
  
  out <- list(u_st=u_st, Sigma_t=Sigma_t)
  return(out)
  
} # end of function
