solve_for_a <-  function(b1, Sigma){
  sigma_21 <- Sigma[-1,1]
  sigma_11 <- Sigma[1,1]
  Sigma_22 <- Sigma[-1,-1]
  
  b11 <- b1[1]  
  b21 <- b1[-1]  
  # See notes by Michele Piffer page 19 eq 14
  b12_BB_inv <- t(sigma_21-b11*b21)%*%solve(Sigma_22-b21%*%t(b21))
    
  a <-  solve(b11 - b12_BB_inv%*%b21)%*%c(1,-t(b12_BB_inv))
  return(a)
}