u_stand_var <- function(Samp,K, y, Z, lag_length, estimation, u_est){
  
  #  standardized residuals
  Sigma_t <- matrix(NA, (Samp-lag_length), K)
  Sigma_t_comp <-  matrix(NA, (Samp-lag_length)*K, K)
  u_st <- matrix(NA, (Samp-lag_length), K)
  for (t in 1:(Samp-lag_length)){
    S <- estimation$Sigma
    Sigma_t_comp[((t-1)*K+1):(t*K),]  <- S
    Sigma_t[t,] <- diag(S)
    u_st[t,] <- t(solve(sqrtm(as.matrix(S))$B)%*%u_est[t,])
  } # end of loop through t
  
  return(list(u_st = u_st, Sigma_t=Sigma_t))
  
} # end of function

