var_plag_moel <-  function(spec, y, Z, Samp, K,imp_scale) {
  # generate initial values, set all coefficient values to 0.5
  # create initial values 
  Theta <- c(crossprod(y,Z) %*% solve(crossprod(Z,Z) ) )
  Theta <- matrix(Theta, K,(K*spec$lag +1))
  u_est <- residuals3(y, Theta, Z)
  
  Sigma <- (Samp-(1+spec$lag*K))^-1*t(u_est)%*%u_est  
  B_chol <- chol(Sigma)
  B_chol[,K] <- B_chol[,K]*(imp_scale[1,1]/B_chol[1,4])
  imp_rep <- calc_imp_response_proxy(B_chol, Theta, dim(u_est)[1]-1, K, spec, spec$lag)
  imp_rep$impulse <- imp_rep$impulse[((K-1)*K+1):(K*K-1),]
  imp_rep$impulse_cum <- imp_rep$impulse_cum[((K-1)*K+1):(K*K-1),]
  B <- matrix(0, K-1,K-1)
  B[,1] <- B_chol[c(1:(K-1)),K]
  
  # Impulse Response
  estimate_var <- list()
  estimate_var$imp_rep <- imp_rep$impulse
  estimate_var$Phi <- array(0, dim=c(K-1, K-1, dim(u_est)[1]))
  estimate_var$Phi[,1,] <- imp_rep$Phi[c(1:(K-1)),K,]
  estimate_var$B <- B
  estimate_var$Theta <- Theta
  
  
  return(estimate_var)
} # end of function

