draw_Mchain_3 <- function(P, Samp){
  
  draw_ini <-  runif(1, 0, 1)
  current_state <- vector(mode="numeric", length=Samp+1)
  if (draw_ini < mat_power(P,1000)[1,1]){
    current_state[1] <- 1
  } else if (draw_ini >= mat_power(P,1000)[1,1] && draw_ini < mat_power(P,1000)[1,2]){
    current_state[1] <- 2
  } else if (draw_ini > mat_power(P,1000)[1,2]){
    current_state[1] <- 3
  }
  
  # using the initial state use the transition probabilities to simulate states (with help of draws from uniform distribution)
  
  check <-  matrix(NA, Samp)
  # loop over the sample size: each period's t depends on state in t-1 and transition probability 
  count <- c(0,Samp)
  while (any(count<5)){
    
    for (i in 2:(Samp+1)){
      draw <- runif(1, 0, 1)
      # first round depends on initial state
      P_red <- P[,-current_state[i-1]]
      state_trans <- c(1:3)[-current_state[i-1]]
      if (draw <= P[current_state[i-1], current_state[i-1]]){ # stay in state
        current_state[i] = current_state[i-1]
      } else if (draw > P[current_state[i-1], current_state[i-1]]){ # transfer to other states
        
        if (draw < P[current_state[i-1], current_state[i-1]]+P_red[current_state[i-1],1] ){
          current_state[i] = state_trans[1]   
        } else {
          current_state[i] = state_trans[2]   
        }
        
      } 
      # this is just to check the probabilities of uniform distribution
      check[i] <- draw
    }
    # plot(current_state, type="l")  
    
    for (j in 1:3){
      count[j] <- sum(current_state==j)
    }
  }
  # count
  current_state <- current_state[-1]
  
  return(current_state)
}