# Save results  to easy computations later
data_list <- list()
data_list[[1]] <- invarB
data_list[[2]] <- invarB_res
data_list[[3]] <- ph_var
data_list[[4]] <- h_var
data_list[[5]] <- pr_var
data_list[[6]] <- plag_var

f_test_eval <- c()
f_test_eval_robust <- c()
for (i in 1:sims){
  
  # delete unnecessary elements
  for (j in 1:4){
    data_list[[j]][[i]]$u_stand<- NULL
    data_list[[j]][[i]]$variance_decomp<- NULL
    data_list[[j]][[i]]$Sigma_t<- NULL
    data_list[[j]][[i]]$KsiT<- NULL
    data_list[[j]][[i]]$hist_decomp<- NULL
    data_list[[j]][[i]]$hist_decomp_contrib<- NULL
    data_list[[j]][[i]]$u_stand <- NULL
    data_list[[j]][[i]]$se_struc <- NULL
    data_list[[j]][[i]]$convergence_all <- NULL
    data_list[[j]][[i]]$convergence <- NULL
    data_list[[j]][[i]]$highest_ll <- NULL
    data_list[[j]][[i]]$ll_all <- NULL
    data_list[[j]][[i]]$Theta <- NULL
    data_list[[j]][[i]]$Sigma <- NULL
    data_list[[j]][[i]]$lambda_ratio <- NULL
    data_list[[j]][[i]]$lambda_ratio_se <- NULL
    data_list[[j]][[i]]$AIC <- NULL
    data_list[[j]][[i]]$HQ <- NULL
    data_list[[j]][[i]]$SC <- NULL
    data_list[[j]][[i]]$P_se <- NULL
    data_list[[j]][[i]]$Var_se <- NULL
    data_list[[j]][[i]]$B_se <- NULL
    data_list[[j]][[i]]$process_mean <- NULL
    data_list[[j]][[i]]$u_hettest <- NULL
    data_list[[j]][[i]]$m_hettest <- NULL
    data_list[[j]][[i]]$Lambda_ratio <- NULL
    data_list[[j]][[i]]$A_se <- NULL
    data_list[[j]][[i]]$st_struc_shocks <- NULL
    data_list[[j]][[i]]$stand_err <- NULL
    data_list[[j]][[i]]$A <- NULL
    data_list[[j]][[i]]$imp_rep <- data_list[[j]][[i]]$imp_rep[,-c(61:499),]
    data_list[[j]][[i]]$imp_rep_cum <- data_list[[j]][[i]]$imp_rep_cum[,-c(61:499),]
    data_list[[j]][[i]]$Phi_coef <- data_list[[j]][[i]]$Phi_coef[,,-c(61:499),]
  }
  # for proxy-VAR
  data_list[[5]][[i]] <- pr_var[[i]]
  # get results of F-Tests
  f_test_eval <- c(f_test_eval, data_list[[5]][[i]]$f_test)
  f_test_eval_robust <- c(f_test_eval_robust, data_list[[5]][[i]]$f_robust)
  
  # for Plagborg/Moeller Cholesky VR
  data_list[[6]][[i]] <- plag_var[[i]]
}
gc()
rm(h_var,ph_var, invarB_res, invarB, pr_var)
rm(date_list, cluster, results_ms_invarB, results_ms_proxy, results_proxy,data_complete, y_lag_array, y_lag_array_aug, Z_array, Z_array_aug, states_dgp, u_sims, sigma_dgp)
gc()
# Calculation of MSEs
mse_out_weighted <- mse_complete_weighted_plag(data_list, B_true, Lambda_true=matrix(unlist(Lambda_true), ncol=K, byrow=TRUE), Theta_true, sims, K=K, aug_var, norm=FALSE, ins_dim)

# results of simulation
print("Resulting MSEs for different models of first structural shock at horizon h = 25:")
print(mse_out_weighted$mse_25_rel[3:6,1:3])
# pvars <- calc_pval2(data_list, sims, K=4,Samp, spec)
pvars <- calc_pval(data_list, f_test_eval,f_test_eval_robust, sims, K=3,Samp, spec, ins_dim)
print("Resulting relative rejetion frequencies of endogeneity tests of instrument  for 1, 5 and 10 Percent Significance Level")
print(pvars$rel_endo)
print("Resulting relative rejetion frequencies of exogeneity tests of instrument for 1, 5 and 10 Percent Significance Level")
print(pvars$rel_strength)
